Bug 244399 - games/cursive: Update to 0.11,1, Take MAINTAINER'ship
Summary: games/cursive: Update to 0.11,1, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://www.unixpapa.com/
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-25 16:12 UTC by Nuno Teixeira
Modified: 2020-03-26 11:53 UTC (History)
1 user (show)

See Also:


Attachments
Sugested svn diff (4.44 KB, patch)
2020-02-25 16:12 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2020-02-25 16:12:35 UTC
Created attachment 211928 [details]
Sugested svn diff

Hello,

I can adopt this port.

I've found original author site: https://www.unixpapa.com/ and lastest version is 0.11:

cursive.c
/*              CURSIVE SIGNATURE PROGRAM               Version 0.11
 *              (c) 1985 - Jan Wolter

This port fetch sources 0.10 but uses PORTVERSION=1.0 and I corrected it to PORTVERSION=0.11 and PORTEPOCH=1

I removed all 3 patch files:

=> patch-cursive.6 replaced by Makefile post-patch sed

=> patch-cursive.c included in upstream cursive.c 0.11

=> patch-Makefile replaced by Makefile do-build

I'm learning how to port/maintain software so any correction would be welcome :)

Thanks,

Nuno Teixeira
Comment 1 Automation User 2020-02-25 16:20:27 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/120930888
Comment 2 commit-hook freebsd_committer 2020-03-24 17:56:47 UTC
A commit references this bug:

Author: fernape
Date: Tue Mar 24 17:55:49 UTC 2020
New revision: 529058
URL: https://svnweb.freebsd.org/changeset/ports/529058

Log:
  games/cursive: Update to 0.11,1 and set MAINTAINER

  Set PORTVERSION to correct value and set PORTEPOCH accordingly.

  Set new MAINTAINER (ed.arrakis@gmail.com)

  PR:	244399
  Submitted by:	ed.arrakis@gmail.com

Changes:
  head/games/cursive/Makefile
  head/games/cursive/distinfo
  head/games/cursive/files/
  head/games/cursive/pkg-descr
Comment 3 Fernando Apesteguía freebsd_committer 2020-03-26 11:53:31 UTC
Committed,

Thanks!